Page 2 of 2 FirstFirst 12
Results 11 to 13 of 13

Thread: How to find BLOCK area

  1. #11
    I could stop if I wanted to
    Join Date
    2003-07
    Posts
    330
    Login to Give a bone
    0

    Default Re: How to find BLOCK area

    The area of a block is two different answers the actual area hard clipped to the objects and the bounding box which is just that a box.

    There is some software available that will draw a pline around an object "shrinkwrap" but the object must be of a closed shape. Another version is available but must be purchased.

    See also www.lee-mac.com convex hull

  2. #12
    Member
    Join Date
    2018-07
    Posts
    2
    Login to Give a bone
    0

    Default Re: How to find BLOCK area

    'Found here :

    '----------------------------------------------------------------------------------------------------

    Public Sub FlipTest()
    Dim ssFlip As AcadSelectionSet
    Dim pt1 As Variant
    Dim pt2 As Variant

    ' get selection set from user
    Set ssFlip = ThisDrawing.SelectionSets.Add("flip")
    ssFlip.SelectOnScreen

    ' get bounding box of selection set
    GetSSBoundingBox ssFlip, pt1, pt2

    ' draw a line from point to point
    ThisDrawing.ModelSpace.AddLine pt1, pt2

    ssFlip.Delete

    End Sub

    '
    Public Sub GetSSBoundingBox(ss As AcadSelectionSet, ptMin As Variant, ptMax As Variant)
    Dim entItem As AcadEntity
    Dim ptImin As Variant
    Dim ptImax As Variant
    Const X = 0
    Const Y = 1

    ss(0).GetBoundingBox ptMin, ptMax
    For Each entItem In ss
    entItem.GetBoundingBox ptImin, ptImax
    If ptImin(X) < ptMin(X) Then ptMin(X) = ptImin(X)
    If ptImin(Y) < ptMin(Y) Then ptMin(Y) = ptImin(Y)
    If ptImax(X) > ptMax(X) Then ptMax(X) = ptImax(X)
    If ptImax(Y) > ptMax(Y) Then ptMax(Y) = ptImax(Y)
    Next

    End Sub

    '-----------------------------------------------------------------------------------------

  3. #13
    Member
    Join Date
    2018-07
    Posts
    2
    Login to Give a bone
    0

    Default Re: How to find BLOCK area

    Found here

Page 2 of 2 FirstFirst 12

Similar Threads

  1. Find a block in a drawing
    By pangell in forum AutoCAD General
    Replies: 8
    Last Post: 2016-08-07, 05:43 AM
  2. Find Block by Attribute
    By timharris677625 in forum Dot Net API
    Replies: 3
    Last Post: 2014-11-29, 07:20 AM
  3. FIND AND REPLACE BLOCK.
    By aijazahmed in forum AutoLISP
    Replies: 11
    Last Post: 2013-08-05, 04:14 PM
  4. 2013: Can't find user block in block list while creating a multi-leader style
    By rsturgeon502669 in forum AutoCAD Annotation
    Replies: 1
    Last Post: 2013-07-08, 07:05 AM
  5. Where to find area info in Oracle Spatial
    By aaronch in forum AutoCAD Map 3D - General
    Replies: 0
    Last Post: 2005-06-10, 05:44 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •